=== src/kem/classic_mceliece/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_CLASSIC_MCELIECE_OBJS "")

if(OQS_ENABLE_KEM_classic_mceliece_348864)
    add_library(classic_mceliece_348864_clean OBJECT kem_classic_mceliece_348864.c pqclean_mceliece348864_clean/aes256ctr.c pqclean_mceliece348864_clean/benes.c pqclean_mceliece348864_clean/bm.c pqclean_mceliece348864_clean/controlbits.c pqclean_mceliece348864_clean/crypto_int16.c pqclean_mceliece348864_clean/crypto_int32.c pqclean_mceliece348864_clean/crypto_uint16.c pqclean_mceliece348864_clean/crypto_uint32.c pqclean_mceliece348864_clean/crypto_uint64.c pqclean_mceliece348864_clean/decrypt.c pqclean_mceliece348864_clean/encrypt.c pqclean_mceliece348864_clean/gf.c pqclean_mceliece348864_clean/operations.c pqclean_mceliece348864_clean/pk_gen.c pqclean_mceliece348864_clean/root.c pqclean_mceliece348864_clean/sk_gen.c pqclean_mceliece348864_clean/synd.c pqclean_mceliece348864_clean/transpose.c pqclean_mceliece348864_clean/util.c)
    target_include_directories(classic_mceliece_348864_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_clean)
    target_include_directories(classic_mceliece_348864_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864_avx2)
    add_library(classic_mceliece_348864_avx2 OBJECT pqclean_mceliece348864_avx2/aes256ctr.c pqclean_mceliece348864_avx2/benes.c pqclean_mceliece348864_avx2/bm.c pqclean_mceliece348864_avx2/consts.S pqclean_mceliece348864_avx2/controlbits.c pqclean_mceliece348864_avx2/crypto_int16.c pqclean_mceliece348864_avx2/crypto_int32.c pqclean_mceliece348864_avx2/crypto_uint16.c pqclean_mceliece348864_avx2/crypto_uint32.c pqclean_mceliece348864_avx2/crypto_uint64.c pqclean_mceliece348864_avx2/decrypt.c pqclean_mceliece348864_avx2/encrypt.c pqclean_mceliece348864_avx2/fft.c pqclean_mceliece348864_avx2/fft_tr.c pqclean_mceliece348864_avx2/gf.c pqclean_mceliece348864_avx2/operations.c pqclean_mceliece348864_avx2/pk_gen.c pqclean_mceliece348864_avx2/sk_gen.c pqclean_mceliece348864_avx2/syndrome_asm.S pqclean_mceliece348864_avx2/transpose_64x256_sp_asm.S pqclean_mceliece348864_avx2/transpose_64x64_asm.S pqclean_mceliece348864_avx2/update_asm.S pqclean_mceliece348864_avx2/vec.c pqclean_mceliece348864_avx2/vec128_mul_asm.S pqclean_mceliece348864_avx2/vec256.c pqclean_mceliece348864_avx2/vec256_mul_asm.S pqclean_mceliece348864_avx2/vec_mul_asm.S pqclean_mceliece348864_avx2/vec_mul_sp_asm.S pqclean_mceliece348864_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_avx2)
    target_include_directories(classic_mceliece_348864_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864_avx2 PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_348864_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f)
    add_library(classic_mceliece_348864f_clean OBJECT kem_classic_mceliece_348864f.c pqclean_mceliece348864f_clean/aes256ctr.c pqclean_mceliece348864f_clean/benes.c pqclean_mceliece348864f_clean/bm.c pqclean_mceliece348864f_clean/controlbits.c pqclean_mceliece348864f_clean/crypto_int16.c pqclean_mceliece348864f_clean/crypto_int32.c pqclean_mceliece348864f_clean/crypto_uint16.c pqclean_mceliece348864f_clean/crypto_uint32.c pqclean_mceliece348864f_clean/crypto_uint64.c pqclean_mceliece348864f_clean/decrypt.c pqclean_mceliece348864f_clean/encrypt.c pqclean_mceliece348864f_clean/gf.c pqclean_mceliece348864f_clean/operations.c pqclean_mceliece348864f_clean/pk_gen.c pqclean_mceliece348864f_clean/root.c pqclean_mceliece348864f_clean/sk_gen.c pqclean_mceliece348864f_clean/synd.c pqclean_mceliece348864f_clean/transpose.c pqclean_mceliece348864f_clean/util.c)
    target_include_directories(classic_mceliece_348864f_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_clean)
    target_include_directories(classic_mceliece_348864f_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f_avx2)
    add_library(classic_mceliece_348864f_avx2 OBJECT pqclean_mceliece348864f_avx2/aes256ctr.c pqclean_mceliece348864f_avx2/benes.c pqclean_mceliece348864f_avx2/bm.c pqclean_mceliece348864f_avx2/consts.S pqclean_mceliece348864f_avx2/controlbits.c pqclean_mceliece348864f_avx2/crypto_int16.c pqclean_mceliece348864f_avx2/crypto_int32.c pqclean_mceliece348864f_avx2/crypto_uint16.c pqclean_mceliece348864f_avx2/crypto_uint32.c pqclean_mceliece348864f_avx2/crypto_uint64.c pqclean_mceliece348864f_avx2/decrypt.c pqclean_mceliece348864f_avx2/encrypt.c pqclean_mceliece348864f_avx2/fft.c pqclean_mceliece348864f_avx2/fft_tr.c pqclean_mceliece348864f_avx2/gf.c pqclean_mceliece348864f_avx2/operations.c pqclean_mceliece348864f_avx2/pk_gen.c pqclean_mceliece348864f_avx2/sk_gen.c pqclean_mceliece348864f_avx2/syndrome_asm.S pqclean_mceliece348864f_avx2/transpose_64x256_sp_asm.S pqclean_mceliece348864f_avx2/transpose_64x64_asm.S pqclean_mceliece348864f_avx2/update_asm.S pqclean_mceliece348864f_avx2/vec.c pqclean_mceliece348864f_avx2/vec128_mul_asm.S pqclean_mceliece348864f_avx2/vec256.c pqclean_mceliece348864f_avx2/vec256_mul_asm.S pqclean_mceliece348864f_avx2/vec_mul_asm.S pqclean_mceliece348864f_avx2/vec_mul_sp_asm.S pqclean_mceliece348864f_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864f_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_avx2)
    target_include_directories(classic_mceliece_348864f_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864f_avx2 PRIVATE  -mavx2  -mpopcnt  -mbmi )
    target_compile_options(classic_mceliece_348864f_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896)
    add_library(classic_mceliece_460896_clean OBJECT kem_classic_mceliece_460896.c pqclean_mceliece460896_clean/aes256ctr.c pqclean_mceliece460896_clean/benes.c pqclean_mceliece460896_clean/bm.c pqclean_mceliece460896_clean/controlbits.c pqclean_mceliece460896_clean/crypto_int16.c pqclean_mceliece460896_clean/crypto_int32.c pqclean_mceliece460896_clean/crypto_uint16.c pqclean_mceliece460896_clean/crypto_uint32.c pqclean_mceliece460896_clean/crypto_uint64.c pqclean_mceliece460896_clean/decrypt.c pqclean_mceliece460896_clean/encrypt.c pqclean_mceliece460896_clean/gf.c pqclean_mceliece460896_clean/operations.c pqclean_mceliece460896_clean/pk_gen.c pqclean_mceliece460896_clean/root.c pqclean_mceliece460896_clean/sk_gen.c pqclean_mceliece460896_clean/synd.c pqclean_mceliece460896_clean/transpose.c pqclean_mceliece460896_clean/util.c)
    target_include_directories(classic_mceliece_460896_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_clean)
    target_include_directories(classic_mceliece_460896_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896_avx2)
    add_library(classic_mceliece_460896_avx2 OBJECT pqclean_mceliece460896_avx2/aes256ctr.c pqclean_mceliece460896_avx2/benes.c pqclean_mceliece460896_avx2/bm.c pqclean_mceliece460896_avx2/consts.S pqclean_mceliece460896_avx2/controlbits.c pqclean_mceliece460896_avx2/crypto_int16.c pqclean_mceliece460896_avx2/crypto_int32.c pqclean_mceliece460896_avx2/crypto_uint16.c pqclean_mceliece460896_avx2/crypto_uint32.c pqclean_mceliece460896_avx2/crypto_uint64.c pqclean_mceliece460896_avx2/decrypt.c pqclean_mceliece460896_avx2/encrypt.c pqclean_mceliece460896_avx2/fft.c pqclean_mceliece460896_avx2/fft_tr.c pqclean_mceliece460896_avx2/gf.c pqclean_mceliece460896_avx2/operations.c pqclean_mceliece460896_avx2/pk_gen.c pqclean_mceliece460896_avx2/sk_gen.c pqclean_mceliece460896_avx2/syndrome_asm.S pqclean_mceliece460896_avx2/transpose_64x128_sp_asm.S pqclean_mceliece460896_avx2/transpose_64x256_sp_asm.S pqclean_mceliece460896_avx2/transpose_64x64_asm.S pqclean_mceliece460896_avx2/update_asm.S pqclean_mceliece460896_avx2/vec128.c pqclean_mceliece460896_avx2/vec128_mul_asm.S pqclean_mceliece460896_avx2/vec256.c pqclean_mceliece460896_avx2/vec256_ama_asm.S pqclean_mceliece460896_avx2/vec256_maa_asm.S pqclean_mceliece460896_avx2/vec256_mul_asm.S pqclean_mceliece460896_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_460896_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_avx2)
    target_include_directories(classic_mceliece_460896_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_460896_avx2 PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_460896_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f)
    add_library(classic_mceliece_460896f_clean OBJECT kem_classic_mceliece_460896f.c pqclean_mceliece460896f_clean/aes256ctr.c pqclean_mceliece460896f_clean/benes.c pqclean_mceliece460896f_clean/bm.c pqclean_mceliece460896f_clean/controlbits.c pqclean_mceliece460896f_clean/crypto_int16.c pqclean_mceliece460896f_clean/crypto_int32.c pqclean_mceliece460896f_clean/crypto_uint16.c pqclean_mceliece460896f_clean/crypto_uint32.c pqclean_mceliece460896f_clean/crypto_uint64.c pqclean_mceliece460896f_clean/decrypt.c pqclean_mceliece460896f_clean/encrypt.c pqclean_mceliece460896f_clean/gf.c pqclean_mceliece460896f_clean/operations.c pqclean_mceliece460896f_clean/pk_gen.c pqclean_mceliece460896f_clean/root.c pqclean_mceliece460896f_clean/sk_gen.c pqclean_mceliece460896f_clean/synd.c pqclean_mceliece460896f_clean/transpose.c pqclean_mceliece460896f_clean/util.c)
    target_include_directories(classic_mceliece_460896f_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896f_clean)
    target_include_directories(classic_mceliece_460896f_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896f_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896f_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f_avx2)
