=== src/sig/falcon/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_FALCON_OBJS "")

if(OQS_ENABLE_SIG_falcon_512)
    add_library(falcon_512_clean OBJECT sig_falcon_512.c pqclean_falcon-512_clean/codec.c pqclean_falcon-512_clean/common.c pqclean_falcon-512_clean/fft.c pqclean_falcon-512_clean/fpr.c pqclean_falcon-512_clean/keygen.c pqclean_falcon-512_clean/pqclean.c pqclean_falcon-512_clean/rng.c pqclean_falcon-512_clean/sign.c pqclean_falcon-512_clean/vrfy.c)
    target_include_directories(falcon_512_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_clean)
    target_include_directories(falcon_512_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_512_avx2)
    add_library(falcon_512_avx2 OBJECT pqclean_falcon-512_avx2/codec.c pqclean_falcon-512_avx2/common.c pqclean_falcon-512_avx2/fft.c pqclean_falcon-512_avx2/fpr.c pqclean_falcon-512_avx2/keygen.c pqclean_falcon-512_avx2/pqclean.c pqclean_falcon-512_avx2/rng.c pqclean_falcon-512_avx2/sign.c pqclean_falcon-512_avx2/vrfy.c)
    target_include_directories(falcon_512_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_avx2)
    target_include_directories(falcon_512_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_512_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_512_aarch64)
    add_library(falcon_512_aarch64 OBJECT pqclean_falcon-512_aarch64/codec.c pqclean_falcon-512_aarch64/common.c pqclean_falcon-512_aarch64/fft.c pqclean_falcon-512_aarch64/fft_tree.c pqclean_falcon-512_aarch64/fpr.c pqclean_falcon-512_aarch64/keygen.c pqclean_falcon-512_aarch64/ntt.c pqclean_falcon-512_aarch64/ntt_consts.c pqclean_falcon-512_aarch64/poly_float.c pqclean_falcon-512_aarch64/poly_int.c pqclean_falcon-512_aarch64/pqclean.c pqclean_falcon-512_aarch64/rng.c pqclean_falcon-512_aarch64/sampler.c pqclean_falcon-512_aarch64/sign.c pqclean_falcon-512_aarch64/util.c pqclean_falcon-512_aarch64/vrfy.c)
    target_include_directories(falcon_512_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_aarch64)
    target_include_directories(falcon_512_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_512_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_1024)
    add_library(falcon_1024_clean OBJECT sig_falcon_1024.c pqclean_falcon-1024_clean/codec.c pqclean_falcon-1024_clean/common.c pqclean_falcon-1024_clean/fft.c pqclean_falcon-1024_clean/fpr.c pqclean_falcon-1024_clean/keygen.c pqclean_falcon-1024_clean/pqclean.c pqclean_falcon-1024_clean/rng.c pqclean_falcon-1024_clean/sign.c pqclean_falcon-1024_clean/vrfy.c)
    target_include_directories(falcon_1024_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_clean)
    target_include_directories(falcon_1024_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_1024_avx2)
    add_library(falcon_1024_avx2 OBJECT pqclean_falcon-1024_avx2/codec.c pqclean_falcon-1024_avx2/common.c pqclean_falcon-1024_avx2/fft.c pqclean_falcon-1024_avx2/fpr.c pqclean_falcon-1024_avx2/keygen.c pqclean_falcon-1024_avx2/pqclean.c pqclean_falcon-1024_avx2/rng.c pqclean_falcon-1024_avx2/sign.c pqclean_falcon-1024_avx2/vrfy.c)
    target_include_directories(falcon_1024_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_avx2)
    target_include_directories(falcon_1024_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_1024_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_1024_aarch64)
    add_library(falcon_1024_aarch64 OBJECT pqclean_falcon-1024_aarch64/codec.c pqclean_falcon-1024_aarch64/common.c pqclean_falcon-1024_aarch64/fft.c pqclean_falcon-1024_aarch64/fft_tree.c pqclean_falcon-1024_aarch64/fpr.c pqclean_falcon-1024_aarch64/keygen.c pqclean_falcon-1024_aarch64/ntt.c pqclean_falcon-1024_aarch64/ntt_consts.c pqclean_falcon-1024_aarch64/poly_float.c pqclean_falcon-1024_aarch64/poly_int.c pqclean_falcon-1024_aarch64/pqclean.c pqclean_falcon-1024_aarch64/rng.c pqclean_falcon-1024_aarch64/sampler.c pqclean_falcon-1024_aarch64/sign.c pqclean_falcon-1024_aarch64/util.c pqclean_falcon-1024_aarch64/vrfy.c)
    target_include_directories(falcon_1024_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_aarch64)
    target_include_directories(falcon_1024_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_1024_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512)
    add_library(falcon_padded_512_clean OBJECT sig_falcon_padded_512.c pqclean_falcon-padded-512_clean/codec.c pqclean_falcon-padded-512_clean/common.c pqclean_falcon-padded-512_clean/fft.c pqclean_falcon-padded-512_clean/fpr.c pqclean_falcon-padded-512_clean/keygen.c pqclean_falcon-padded-512_clean/pqclean.c pqclean_falcon-padded-512_clean/rng.c pqclean_falcon-padded-512_clean/sign.c pqclean_falcon-padded-512_clean/vrfy.c)
    target_include_directories(falcon_padded_512_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_clean)
    target_include_directories(falcon_padded_512_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512_avx2)
    add_library(falcon_padded_512_avx2 OBJECT pqclean_falcon-padded-512_avx2/codec.c pqclean_falcon-padded-512_avx2/common.c pqclean_falcon-padded-512_avx2/fft.c pqclean_falcon-padded-512_avx2/fpr.c pqclean_falcon-padded-512_avx2/keygen.c pqclean_falcon-padded-512_avx2/pqclean.c pqclean_falcon-padded-512_avx2/rng.c pqclean_falcon-padded-512_avx2/sign.c pqclean_falcon-padded-512_avx2/vrfy.c)
    target_include_directories(falcon_padded_512_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_avx2)
    target_include_directories(falcon_padded_512_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_512_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512_aarch64)
    add_library(falcon_padded_512_aarch64 OBJECT pqclean_falcon-padded-512_aarch64/codec.c pqclean_falcon-padded-512_aarch64/common.c pqclean_falcon-padded-512_aarch64/fft.c pqclean_falcon-padded-512_aarch64/fft_tree.c pqclean_falcon-padded-512_aarch64/fpr.c pqclean_falcon-padded-512_aarch64/keygen.c pqclean_falcon-padded-512_aarch64/ntt.c pqclean_falcon-padded-512_aarch64/ntt_consts.c pqclean_falcon-padded-512_aarch64/poly_float.c pqclean_falcon-padded-512_aarch64/poly_int.c pqclean_falcon-padded-512_aarch64/pqclean.c pqclean_falcon-padded-512_aarch64/rng.c pqclean_falcon-padded-512_aarch64/sampler.c pqclean_falcon-padded-512_aarch64/sign.c pqclean_falcon-padded-512_aarch64/util.c pqclean_falcon-padded-512_aarch64/vrfy.c)
    target_include_directories(falcon_padded_512_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_aarch64)
    target_include_directories(falcon_padded_512_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_512_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024)
    add_library(falcon_padded_1024_clean OBJECT sig_falcon_padded_1024.c pqclean_falcon-padded-1024_clean/codec.c pqclean_falcon-padded-1024_clean/common.c pqclean_falcon-padded-1024_clean/fft.c pqclean_falcon-padded-1024_clean/fpr.c pqclean_falcon-padded-1024_clean/keygen.c pqclean_falcon-padded-1024_clean/pqclean.c pqclean_falcon-padded-1024_clean/rng.c pqclean_falcon-padded-1024_clean/sign.c pqclean_falcon-padded-1024_clean/vrfy.c)
    target_include_directories(falcon_padded_1024_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_clean)
    target_include_directories(falcon_padded_1024_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024_avx2)
    add_library(falcon_padded_1024_avx2 OBJECT pqclean_falcon-padded-1024_avx2/codec.c pqclean_falcon-padded-1024_avx2/common.c pqclean_falcon-padded-1024_avx2/fft.c pqclean_falcon-padded-1024_avx2/fpr.c pqclean_falcon-padded-1024_avx2/keygen.c pqclean_falcon-padded-1024_avx2/pqclean.c pqclean_falcon-padded-1024_avx2/rng.c pqclean_falcon-padded-1024_avx2/sign.c pqclean_falcon-padded-1024_avx2/vrfy.c)
    target_include_directories(falcon_padded_1024_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_avx2)
    target_include_directories(falcon_padded_1024_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_1024_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024_aarch64)
    add_library(falcon_padded_1024_aarch64 OBJECT pqclean_falcon-padded-1024_aarch64/codec.c pqclean_falcon-padded-1024_aarch64/common.c pqclean_falcon-padded-1024_aarch64/fft.c pqclean_falcon-padded-1024_aarch64/fft_tree.c pqclean_falcon-padded-1024_aarch64/fpr.c pqclean_falcon-padded-1024_aarch64/keygen.c pqclean_falcon-padded-1024_aarch64/ntt.c pqclean_falcon-padded-1024_aarch64/ntt_consts.c pqclean_falcon-padded-1024_aarch64/poly_float.c pqclean_falcon-padded-1024_aarch64/poly_int.c pqclean_falcon-padded-1024_aarch64/pqclean.c pqclean_falcon-padded-1024_aarch64/rng.c pqclean_falcon-padded-1024_aarch64/sampler.c pqclean_falcon-padded-1024_aarch64/sign.c pqclean_falcon-padded-1024_aarch64/util.c pqclean_falcon-padded-1024_aarch64/vrfy.c)
    target_include_directories(falcon_padded_1024_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_aarch64)
    target_include_directories(falcon_padded_1024_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_1024_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_aarch64>)
endif()

set(FALCON_OBJS ${_FALCON_OBJS} PARENT_SCOPE)
